package com.mosty.sjzx.remote;

import com.alibaba.fastjson.JSON;
import com.mosty.base.feign.service.MostyRzzxFeignService;
import com.mosty.common.base.domain.ResponseResult;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
@AllArgsConstructor
public class TbRzSpbfAdaptRemoteService {

    private final MostyRzzxFeignService mostyRzzxFeignService;


    /**
     * 修改视频结束时间
     * @param lyId 内容
     * @return
     */
    public Boolean updateLyId(String lyId) {
        ResponseResult<Boolean> responseResult = mostyRzzxFeignService.updateLyId(lyId);
        if (responseResult == null || !responseResult.isSuccess()) {
            log.error("修改失败Result = {}", JSON.toJSONString(responseResult));
            return null;
        }
        return responseResult.getData();
    }
}
